Summary: Apache configuration tool
Name: apacheconf
Version: 0.7
Release: 2
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: python >= 1.5.2
Requires: alchemist
Requires: pygtk pygnome
Requires: pygnome-libglade
Requires: apache
Requires: usermode

%description
A RHN configuration tool for apache.

%prep
%setup -q

%configure

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /var/cache/alchemist/apache ] ; then
  rm -rf /var/cache/alchemist/apache/*
fi

if [ -d /usr/share/apacheconf ] ; then
  rm -rf /usr/share/apacheconf/*.pyc
  rm -rf /usr/share/apacheconf/*.md5
fi

%files
%defattr(-,root,root)
%doc README.1st README AUTHORS COPYING
%doc $RPM_BUILD_ROOT%{_docdir}/%{name}/*
%{_bindir}/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/alchemist/switchboard/
%config(noreplace) %{_sysconfdir}/alchemist/namespace/apache
%{_mandir}/man1/*
%{_datadir}/apacheconf
%{_datadir}/kontrol-panel/apacheconf.desktop
%{_datadir}/kontrol-panel/icons/apacheconf.png
%{_sysconfdir}/X11/applnk/System/apacheconf.desktop
%dir /var/cache/alchemist/apache

%changelog
* Fri Mar  9 2001 Philipp Knirsch <pknirsch@redhat.com>
- Final fix for window close box

* Thu Mar  8 2001 Jonathan Blandford <jrb@redhat.com>
- Hooked up helpfiles

* Thu Mar  8 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added documentation to the installation and RPM
- New version

* Mon Mar  5 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added the apacheconf.png
- Installation of kontrol-panel files

* Mon Mar  5 2001 Jonathan Blandford <jrb@redhat.com>
- really include desktop file

* Tue Feb 27 2001 Jonathan Blandford <jrb@redhat.com>
- Include desktop file

* Fri Feb 23 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added manpage and reworked parts of the spec file to look cleaner.

* Tue Feb 13 2001 Philipp Knirsch <pknirsch@redhat.com>
- Updated and fixed all of the bugzilla entries we had. Cleaned up some other
  parts as well.

* Fri Feb  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new version

* Thu Feb  8 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Feb  1 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 24 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Jan 18 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.


